.loading__background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #543a2bcb;
  z-index: 3;
}

.loading__container {
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 70vw;
  height: 75vh;
  padding: 4rem 2rem;
  display: flex;
  justify-content: space-between;
  gap: 1rem;
  background-color: var(--clr-white);
  transform: translate(-50%, -45%);
  z-index: 3;
}

.loading__detailsContainer {
  box-sizing: border-box;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.loading__closeIcon {
  position: absolute;
  top: 2rem;
  right: 2rem;
}

.loading__closeIcon:hover {
  transition: all 1s ease-in-out;
  transform: rotate(90deg) scale(1.2);
}
